Read task activity collected after the analytics choice
curl --request GET \
--url https://api.openworklabs.com/v1/inference/analytics/activity \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openworklabs.com/v1/inference/analytics/activity"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openworklabs.com/v1/inference/analytics/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"events": [
{
"id": "<string>",
"type": "task.started",
"timestamp": "2023-11-07T05:31:56Z",
"sessionId": "<string>",
"taskId": "<string>",
"memberId": "<string>",
"source": "app",
"callId": "<string>",
"durationMs": 4503599627370495,
"status": "completed",
"model": "<string>",
"provider": "<string>",
"inputTokens": 4503599627370495,
"outputTokens": 4503599627370495,
"cacheReadTokens": 4503599627370495,
"cacheWriteTokens": 4503599627370495,
"costUsd": 1,
"usageComplete": true,
"tool": "<string>",
"skill": "<string>",
"skillVersion": "<string>",
"mcp": "<string>",
"metadata": {}
}
],
"next": {
"before": "<string>",
"beforeId": "<string>"
}
}Inference
Read task activity collected after the analytics choice
GET
/
v1
/
inference
/
analytics
/
activity
Read task activity collected after the analytics choice
Authorizations
bearerAuthdenApiKey
Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.
Query Parameters
Required range:
1 <= x <= 90Pattern:
^[a-zA-Z0-9_.:-]{1,128}$Pattern:
^[a-zA-Z0-9_.:-]{1,128}$Pattern:
^[a-zA-Z0-9_.:-]{1,128}$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^[a-zA-Z0-9_.:-]{1,128}$Was this page helpful?